Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Interface ModeShapeConfiguration.SetDescription<ReturnType>

Type Parameters:
  `ReturnType` - the interface returned from these methods

All Known Subinterfaces:
  JcrConfiguration.AuthenticatorDefinition<ReturnType>, JcrConfiguration.RepositoryDefinition<ReturnType>, ModeShapeConfiguration.MimeTypeDetectorDefinition<ReturnType>, ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>, ModeShapeConfiguration.SequencerDefinition<ReturnType>, ModeShapeConfiguration.TextExtractorDefinition<ReturnType>

All Known Implementing Classes:
  JcrConfiguration.AuthenticatorBuilder, JcrConfiguration.RepositoryBuilder, ModeShapeConfiguration.ClusterBuilder, ModeShapeConfiguration.GlobalProperties, ModeShapeConfiguration.GraphComponentBuilder, ModeShapeConfiguration.GraphReturnable, ModeShapeConfiguration.MimeTypeDetectorBuilder, ModeShapeConfiguration.SequencerBuilder, ModeShapeConfiguration.SourceBuilder, ModeShapeConfiguration.TextExtractorBuilder

Enclosing class:
  ModeShapeConfiguration

    public static interface ModeShapeConfiguration.SetDescription<ReturnType>

The interface used to set a description on a component.

Method Summary
`String` | `getDescription()` Get the description of this component.
`ReturnType` | `setDescription(String description)` Specify the description of this component.

Method Detail

### setDescription

    ReturnType setDescription(String description)

  Specify the description of this component.

  Parameters:
    `description` - the description; may be null or empty
  Returns:
    the next component to continue configuration; never null

### getDescription

    String getDescription()

  Get the description of this component.

  Returns:
    the description, or null if there is no description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.